Skip to end of metadata
Go to start of metadata

As of June 23rd, Card Concepts will no longer be supporting any LaundryCard version prior to version 8.

Existing v5/v6/v7 customers are strongly encouraged to upgrade their systems to the latest version. More information regarding support and upgrade options can be found here: Version 9 Upgrade Details.